#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xancur
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat $BUILDDIR/zcat


cd $BUILDDIR/xancur
cat $SOURCEDIR/xancur/xancur14.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd xancur-1.4

test -f $SOURCEDIR/xancur/$machine/xancur &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xancur/$machine/xancur | patch -b .rtr -p -s )

xmkmf
make Makefiles
if test ${MACHINE} = "ssol2"; then
make CC=gcc
else
make
fi
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi
cd animations
rm terra/Imakefile terra/Makefile
if test "$RM" != "" ; then echo installing ; tar cf - happy2 photon plus pulse terra | ( cd $INSTALLSHAREDIR/${SHAREPREFIX}lib/X11/xancur;  tar xvf - ) ; fi

cd $BUILDDIR/xancur

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xancur ; fi
